Package org.eclipse.birt.report.model.api

# Class IncludedCssStyleSheetHandle

java.lang.Object
org.eclipse.birt.report.model.api.ElementDetailHandle
org.eclipse.birt.report.model.api.ValueHandle
org.eclipse.birt.report.model.api.StructureHandle
org.eclipse.birt.report.model.api.IncludedCssStyleSheetHandle

public class IncludedCssStyleSheetHandle extends StructureHandle
Represents a included css style sheet in report design and theme.

## Field Summary

### Fields inherited from class org.eclipse.birt.report.model.api.StructureHandle

`structContext`

### Fields inherited from class org.eclipse.birt.report.model.api.ElementDetailHandle

`elementHandle`

## Constructor Summary

Constructors
Constructor
Description
`IncludedCssStyleSheetHandle(SimpleValueHandle valueHandle, int index)`
Constructs the handle of the included css style sheet.

## Method Summary

Modifier and Type
Method
Description
`String`
`getExternalCssURI()`
Gets the URI of the external CSS.
`String`
`getFileName()`
Gets the file name of the include css style sheet.
`boolean`
`isUseExternalCss()`
`void`
`setExternalCssURI(String externalCssURI)`
Sets the URI of the external CSS.
`void`
`setFileName(String fileName)`
Sets the file name of the included css style sheet..
`void`
`setUseExternalCss(boolean useExternalCss)`

### Methods inherited from class org.eclipse.birt.report.model.api.StructureHandle

`drop, getContext, getDefn, getExpressionProperty, getExternalizedValue, getExternalizedValue, getIntProperty, getMember, getProperty, getPropertyDefn, getStringProperty, getStructure, isDesignTime, isLocal, iterator, setDesignTime, setExpressionProperty, setProperty, setPropertySilently`

### Methods inherited from class org.eclipse.birt.report.model.api.ValueHandle

`getReference`

### Methods inherited from class org.eclipse.birt.report.model.api.ElementDetailHandle

`getDesign, getElement, getElementHandle, getModule`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### IncludedCssStyleSheetHandle

public IncludedCssStyleSheetHandle(SimpleValueHandle valueHandle, int index)
Constructs the handle of the included css style sheet.

Parameters:
  `valueHandle` - the value handle for the included css style sheet list of one property
  `index` - the position of this included css style sheet in the list

## Method Details

### getFileName

public String getFileName()
Gets the file name of the include css style sheet.

Returns:
  the file name of the include css style sheet

### setFileName

public void setFileName(String fileName) throws SemanticException
Sets the file name of the included css style sheet..

Parameters:
  `fileName` - the file name.
Throws:
  `SemanticException`

### getExternalCssURI

public String getExternalCssURI()
Gets the URI of the external CSS.

Returns:
  the URI of the external CSS

### setExternalCssURI

public void setExternalCssURI(String externalCssURI) throws SemanticException
Sets the URI of the external CSS.

Parameters:
  `externalCssURI` - the URI of the external CSS.
Throws:
  `SemanticException`

### setUseExternalCss

public void setUseExternalCss(boolean useExternalCss) throws SemanticException

Throws:
  `SemanticException`

### isUseExternalCss

public boolean isUseExternalCss()